/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODCMPFILI                                              */
/* Tabela : PRODCMPFILI                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 27/12/2002 - Graciele Cristina                                             */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PRODCMPFILI
BEFORE INSERT OR UPDATE OR DELETE
ON PRODCMPFILI FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPCMP := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPRODUTO,0) <> NVL(:NEW.CDPRODUTO,0)) OR
         (NVL(:OLD.CDFILIAL,0)  <> NVL(:NEW.CDFILIAL,0)) THEN
         :NEW.DTULTATUPCMP := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRODCMPFILI', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDPRODUTO='||:OLD.CDPRODUTO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRODCMPFILI MODIFY DTULTATUPCMP DEFAULT SYSDATE
/
